IntegerTypeDescriptor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type.descriptor.java
Class IntegerTypeDescriptor

    java.lang.Object
      org.hibernate.type.descriptor.java.AbstractTypeDescriptor<Integer>
          org.hibernate.type.descriptor.java.IntegerTypeDescriptor

All Implemented Interfaces:
  Serializable, JavaTypeDescriptor<Integer>

    public class IntegerTypeDescriptor

extends AbstractTypeDescriptor<Integer>

Descriptor for `Integer` handling.

See Also:
  Serialized Form

Field Summary
`static IntegerTypeDescriptor` | `INSTANCE`

Constructor Summary
`IntegerTypeDescriptor()`

Method Summary
`Integer` | `fromString(String string)`
`String` | `toString(Integer value)`
`
`<X> X`
` | `unwrap(Integer value, Class<X> type, WrapperOptions options)` Unwrap an instance of our handled Java type into the requested type.
`
`<X> Integer`
` | `wrap(X value, WrapperOptions options)` Wrap a value as our handled Java type.

Methods inherited from class org.hibernate.type.descriptor.java.AbstractTypeDescriptor
`areEqual, extractHashCode, extractLoggableRepresentation, getComparator, getJavaTypeClass, getMutabilityPlan, unknownUnwrap, unknownWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final IntegerTypeDescriptor INSTANCE

Constructor Detail

### IntegerTypeDescriptor

    public IntegerTypeDescriptor()

Method Detail

### toString

    public String toString(Integer value)

### fromString

    public Integer fromString(String string)

### unwrap

    public <X> X unwrap(Integer value,
                        Class<X> type,
                        WrapperOptions options)

  Description copied from interface: `JavaTypeDescriptor`
  Unwrap an instance of our handled Java type into the requested type.

  As an example, if this is a `JavaTypeDescriptor<Integer>` and we are asked to unwrap the `Integer value` as a `Long` we would return something like `Long.valueOf( value.longValue() )`.

  Intended use is during `PreparedStatement` binding.

  Type Parameters:
    `X` - The conversion type.
  Parameters:
    `value` - The value to unwrap
    `type` - The type as which to unwrap
    `options` - The options
  Returns:
    The unwrapped value.

### wrap

    public <X> Integer wrap(X value,
                            WrapperOptions options)

  Description copied from interface: `JavaTypeDescriptor`
  Wrap a value as our handled Java type.

  Intended use is during `ResultSet` extraction.

  Type Parameters:
    `X` - The conversion type.
  Parameters:
    `value` - The value to wrap.
    `options` - The options
  Returns:
    The wrapped value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.